## rust-sudo-rs 0.2.2

=== Makefile ===
PAM_SRC_DIR = src/pam

BINDGEN_CMD = bindgen --allowlist-function '^pam_.*$$' --allowlist-var '^PAM_.*$$' --opaque-type pam_handle_t --ctypes-prefix libc

.PHONY: all clean pam-sys pam-sys-diff

pam-sys-diff: $(PAM_SRC_DIR)/wrapper.h
	@$(BINDGEN_CMD) $< | diff --color=auto $(PAM_SRC_DIR)/sys.rs - || (echo run \'make -B pam-sys\' to apply these changes && false)
	@echo $(PAM_SRC_DIR)/sys.rs does not need to be re-generated

# use 'make pam-sys' to re-generate the sys.rs file
pam-sys: $(PAM_SRC_DIR)/sys.rs

$(PAM_SRC_DIR)/sys.rs: $(PAM_SRC_DIR)/wrapper.h
	$(BINDGEN_CMD) $< --output $@

clean:
	rm $(PAM_SRC_DIR)/sys.rs

=== debian/changelog ===
rust-sudo-rs (0.2.2-1) unstable; urgency=medium

  * Package sudo-rs 0.2.2 from crates.io using debcargo 2.6.1

  [ Blair Noctis ]
  * Team upload.
  * Package sudo-rs 0.2.1 from crates.io using debcargo 2.6.1
  * Cherry-pick upstream fix for size assert tests
  * Disable another test that runs too long

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Feb 2024 22:19:26 +0100

rust-sudo-rs (0.2.1-2) unstable; urgency=medium

  * Package sudo-rs 0.2.1 from crates.io using debcargo 2.6.1
  * add libpam-dev and procps to the build dep in autopkgtest
  * Create /etc/sudoers.d if it doesn't exist

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Jan 2024 15:01:27 +0100

rust-sudo-rs (0.2.1-1) unstable; urgency=medium

  * Package sudo-rs 0.2.1 from crates.io using debcargo 2.6.0
  * Upload to unstable now that 1.70 is in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Sep 2023 22:42:11 +0200

rust-sudo-rs (0.2.0-1) experimental; urgency=medium

  * Package sudo-rs 0.2.0 from crates.io using debcargo 2.6.0
    (Closes: #1036160)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Sep 2023 09:59:03 +0200

=== debian/control ===
Source: rust-sudo-rs
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
 librust-glob-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.127-~~),
 librust-log-0.4+default-dev (>= 0.4.11-~~),
 librust-log-0.4+std-dev (>= 0.4.11-~~),
 libpam-dev,
 pandoc
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sudo-rs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sudo-rs
Homepage: https://github.com/memorysafety/sudo-rs
X-Cargo-Crate: sudo-rs
Rules-Requires-Root: no

Package: librust-sudo-rs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glob-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.127-~~),
 librust-log-0.4+default-dev (>= 0.4.11-~~),
 librust-log-0.4+std-dev (>= 0.4.11-~~)
Provides:
 librust-sudo-rs+default-dev (= ${binary:Version}),
 librust-sudo-rs+dev-dev (= ${binary:Version}),
 librust-sudo-rs-0-dev (= ${binary:Version}),
 librust-sudo-rs-0+default-dev (= ${binary:Version}),
 librust-sudo-rs-0+dev-dev (= ${binary:Version}),
 librust-sudo-rs-0.2-dev (= ${binary:Version}),
 librust-sudo-rs-0.2+default-dev (= ${binary:Version}),
 librust-sudo-rs-0.2+dev-dev (= ${binary:Version}),
 librust-sudo-rs-0.2.2-dev (= ${binary:Version}),
 librust-sudo-rs-0.2.2+default-dev (= ${binary:Version}),
 librust-sudo-rs-0.2.2+dev-dev (= ${binary:Version})
Description: Memory safe implementation of sudo and su - Rust source code
 Source code for Debianized Rust crate "sudo-rs"

Package: sudo-rs
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Rust-based sudo and su implementations
 sudo-rs is a safety-oriented program designed to provide sudo and su
 functionalities with a focus on memory safety. The primary aim is to offer
 a secure and reliable alternative to traditional sudo, ensuring fewer
 vulnerabilities related to memory management.
 .
 While it aims to be a drop-in replacement for most common sudo use cases,
 there are differences in functionality and design. Users should be aware
 of these differences and consult the project's documentation for specifics.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.2 --all-targets --all-features
Features: test-name=rust-sudo-rs:@
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.2 --all-targets
Features: test-name=librust-sudo-rs-dev:default
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.2 --all-targets --no-default-features --features dev
Features: test-name=librust-sudo-rs-dev:dev
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.2 --all-targets --no-default-features
Features: test-name=librust-sudo-rs-dev:
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sudo-rs-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sudo-rs .*/crates/sudo-rs/@ANY_VERSION@/download

## rust-sudo-rs 0.2.3

=== debian/changelog ===
rust-sudo-rs (0.2.3-1) unstable; urgency=medium

  * Package sudo-rs 0.2.3 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Jul 2024 00:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sudo-rs]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sudo-rs
-Homepage: https://github.com/memorysafety/sudo-rs
+Homepage: https://github.com/trifectatechfoundation/sudo-rs
 X-Cargo-Crate: sudo-rs
 Rules-Requires-Root: no
 
@@ -40,9 +40,9 @@
  librust-sudo-rs-0.2-dev (= ${binary:Version}),
  librust-sudo-rs-0.2+default-dev (= ${binary:Version}),
  librust-sudo-rs-0.2+dev-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.2-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.2+default-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.2+dev-dev (= ${binary:Version})
+ librust-sudo-rs-0.2.3-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.3+default-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.3+dev-dev (= ${binary:Version})
 Description: Memory safe implementation of sudo and su - Rust source code
  Source code for Debianized Rust crate "sudo-rs"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.3 --all-targets --all-features
Features: test-name=rust-sudo-rs:@
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.3 --all-targets
Features: test-name=librust-sudo-rs-dev:default
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.3 --all-targets --no-default-features --features dev
Features: test-name=librust-sudo-rs-dev:dev
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.3 --all-targets --no-default-features
Features: test-name=librust-sudo-rs-dev:
Depends: dh-cargo (>= 18), libpam-dev, procps, librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-sudo-rs 0.2.4

=== debian/changelog ===
rust-sudo-rs (0.2.4-1) unstable; urgency=medium

  * Package sudo-rs 0.2.4 from crates.io using debcargo 2.7.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Feb 2025 19:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: rust-sudo-rs
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
  librust-glob-0.3+default-dev,
- librust-libc-0.2+default-dev (>= 0.2.127-~~),
+ librust-libc-0.2+default-dev (>= 0.2.149-~~),
  librust-log-0.4+default-dev (>= 0.4.11-~~),
  librust-log-0.4+std-dev (>= 0.4.11-~~),
  libpam-dev,
@@ -15,7 +15,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sudo-rs]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sudo-rs
 Homepage: https://github.com/trifectatechfoundation/sudo-rs
@@ -28,21 +28,25 @@
 Depends:
  ${misc:Depends},
  librust-glob-0.3+default-dev,
- librust-libc-0.2+default-dev (>= 0.2.127-~~),
+ librust-libc-0.2+default-dev (>= 0.2.149-~~),
  librust-log-0.4+default-dev (>= 0.4.11-~~),
  librust-log-0.4+std-dev (>= 0.4.11-~~)
 Provides:
  librust-sudo-rs+default-dev (= ${binary:Version}),
  librust-sudo-rs+dev-dev (= ${binary:Version}),
+ librust-sudo-rs+pam-login-dev (= ${binary:Version}),
  librust-sudo-rs-0-dev (= ${binary:Version}),
  librust-sudo-rs-0+default-dev (= ${binary:Version}),
  librust-sudo-rs-0+dev-dev (= ${binary:Version}),
+ librust-sudo-rs-0+pam-login-dev (= ${binary:Version}),
  librust-sudo-rs-0.2-dev (= ${binary:Version}),
  librust-sudo-rs-0.2+default-dev (= ${binary:Version}),
  librust-sudo-rs-0.2+dev-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.3-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.3+default-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.3+dev-dev (= ${binary:Version})
+ librust-sudo-rs-0.2+pam-login-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.4-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.4+default-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.4+dev-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.4+pam-login-dev (= ${binary:Version})
 Description: Memory safe implementation of sudo and su - Rust source code
  Source code for Debianized Rust crate "sudo-rs"
 
@@ -61,7 +65,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Rust-based sudo and su implementations
  sudo-rs is a safety-oriented program designed to provide sudo and su
  functionalities with a focus on memory safety. The primary aim is to offer

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.4 --all-targets --all-features
Features: test-name=rust-sudo-rs:@
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.4 --all-targets
Features: test-name=librust-sudo-rs-dev:default
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.4 --all-targets --no-default-features --features dev
Features: test-name=librust-sudo-rs-dev:dev
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.4 --all-targets --no-default-features --features pam-login
Features: test-name=librust-sudo-rs-dev:pam-login
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.4 --all-targets --no-default-features
Features: test-name=librust-sudo-rs-dev:
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-sudo-rs 0.2.5

=== debian/changelog ===
rust-sudo-rs (0.2.5-5ubuntu3) questing; urgency=medium

  * Remove package librust-sudo-rs-dev (LP: #2115785)
  * Run test suite with default build flags as autopkgtest
  * Use vendored dependencies for autopkgtest

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 02 Jul 2025 10:40:47 +0000

rust-sudo-rs (0.2.5-5ubuntu2) questing; urgency=medium

  * Vendor dependencies (LP: #2114733)
    - debian/rules:
      + Add vendoring rules
    - debian/control:
      + Add XS-Vendored-Sources-Rust
  * Add build time tests (LP: #2113928)
  * Skip pandoc on i386 (LP: #2114728)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 16 Jun 2025 15:50:00 +0200

rust-sudo-rs (0.2.5-5ubuntu1) questing; urgency=medium

  * set sudo-rs as sudo alternative (LP: #2111423)
    - add d/sudo-rs.alternatives for update-alternatives run in postint

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Tue, 20 May 2025 17:58:31 +0200

rust-sudo-rs (0.2.5-5) unstable; urgency=medium

  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Fix the CVE: CVE-2025-46717 and CVE-2025-46718

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 May 2025 09:10:37 +0200

rust-sudo-rs (0.2.5-4) unstable; urgency=medium

  * Team upload
  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Cherry-pick patch to fix autopkgtest failures on 32-bit architectures
    (Closes: #1103275)
  * Add #DEBHELPER# to prerm script

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 07:09:59 -0400

rust-sudo-rs (0.2.5-3) unstable; urgency=medium

  * Team upload.
  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Actually include autopkgtest change (Closes: #1102251)


 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 14 Apr 2025 22:05:20 +0200

rust-sudo-rs (0.2.5-2) unstable; urgency=medium

  * Team upload.
  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.8
  * Mark broken tests as flaky

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 14 Apr 2025 22:03:51 +0200

rust-sudo-rs (0.2.5-1) unstable; urgency=medium

  * Package sudo-rs 0.2.5 from crates.io using debcargo 2.7.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 4 Apr 2025 09:18:46 +0200

=== debian/control ===
Source: rust-sudo-rs
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 libpam-dev,
 pandoc [!i386]
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
XS-Vendored-Sources-Rust: diff@0.1.13, glob@0.3.2, libc@0.2.171, log@0.4.27, pretty_assertions@1.4.1, yansi@1.0.1
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sudo-rs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sudo-rs
Homepage: https://github.com/trifectatechfoundation/sudo-rs
X-Cargo-Crate: sudo-rs
Rules-Requires-Root: no

Package: sudo-rs
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Breaks: sudo (<< 1.9.16p2-1ubuntu2~), sudo-ldap (<< 1.9.16p2-1ubuntu2~)
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Rust-based sudo and su implementations
 sudo-rs is a safety-oriented program designed to provide sudo and su
 functionalities with a focus on memory safety. The primary aim is to offer
 a secure and reliable alternative to traditional sudo, ensuring fewer
 vulnerabilities related to memory management.
 .
 While it aims to be a drop-in replacement for most common sudo use cases,
 there are differences in functionality and design. Users should be aware
 of these differences and consult the project's documentation for specifics.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version|cut -d- -f1)

# Vendoring setup
export CARGO_VENDOR_DIR = rust-vendor
export CARGO_HOME = $(CURDIR)/debian/cargo_home
VENDOR_TARBALL = rust-sudo-rs_$(UPSTREAM_VERSION).orig-$(CARGO_VENDOR_DIR).tar.xz

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --buildsystem cargo

vendor-tarball-quick-check:
	if [ -e ../$(VENDOR_TARBALL) ]; then echo "../$(VENDOR_TARBALL) already exists, bailing!"; exit 1; fi

vendor-deps-cargo:
	rm -rf $(CARGO_VENDOR_DIR)
	env -i cargo-vendor-filterer --all-features  --tier 2  --platform '*-*-linux-gnu' --platform '*-*-linux-gnueabi' $(CARGO_VENDOR_DIR)

vendor-deps: vendor-deps-cargo
	rm -r \
		$(CARGO_VENDOR_DIR)/*/tests
	# Remove the checksum files to allow us to patch the crates to remove extraneous dependencies
	for crate in $(CARGO_VENDOR_DIR)/*; do \
		sed -i 's/^{"files":.*"package":"\([a-z0-9]\+\)"}$$/{"files":{},"package":"\1"}/' $$crate/.cargo-checksum.json; \
		done
	# Cleanup temp files
	rm -rf $(CARGO_HOME)

vendor-tarball: vendor-tarball-quick-check vendor-deps
	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)

override_dh_auto_test:
	CARGO_HOME=$(CURDIR)/debian/cargo_home cargo test

ifeq ($(DEB_HOST_ARCH),i386)
override_dh_installman:
	echo "Skipping pandoc for i386"
else
override_dh_installman:
	pandoc -s -t man docs/man/su.1.md -o su-rs.1
	pandoc -s -t man docs/man/sudo.8.md  -o sudo-rs.8
	pandoc -s -t man docs/man/visudo.8.md -o visudo-rs.8
	dh_installman
endif

override_dh_auto_install:
	# /usr/bin/{su,sudo,visudo} are already used, install into /usr/lib/cargo/bin
	DEB_CARGO_INSTALL_PREFIX=/usr/lib/cargo dh_auto_install
	chmod 4755 debian/sudo-rs/usr/lib/cargo/bin/sudo

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

override_dh_auto_clean:
	rm -f *.1 *.8
	dh_auto_clean

## rust-sudo-rs 0.2.8

=== Makefile ===
PAM_SRC_DIR = src/pam

BINDGEN_CMD = bindgen --allowlist-function '^pam_.*$$' --allowlist-var '^PAM_.*$$' --opaque-type pam_handle_t --blocklist-function pam_vsyslog --blocklist-function pam_vprompt --blocklist-function pam_vinfo --blocklist-function pam_verror --blocklist-type '.*va_list.*' --ctypes-prefix libc --no-layout-tests --sort-semantically

PAM_VARIANT = $$(./get-pam-variant.bash)

.PHONY: all clean pam-sys pam-sys-diff

pam-sys-diff:
	@$(BINDGEN_CMD) $(PAM_SRC_DIR)/wrapper.h | \
		sed 's/rust-bindgen [0-9]*\.[0-9]*\.[0-9]*/&, minified by cargo-minify/' | \
		diff --color=auto $(PAM_SRC_DIR)/sys_$(PAM_VARIANT).rs - \
		|| (echo run \'make -B pam-sys\' to apply these changes && false)
	@echo $(PAM_SRC_DIR)/sys_$(PAM_VARIANT).rs does not need to be re-generated

# use 'make pam-sys' to re-generate the sys.rs file for your local platform
pam-sys:
	$(BINDGEN_CMD) $(PAM_SRC_DIR)/wrapper.h --output $(PAM_SRC_DIR)/sys_$(PAM_VARIANT).rs
	cargo minify --apply --allow-dirty
	sed -i.bak 's/rust-bindgen [0-9]*\.[0-9]*\.[0-9]*/&, minified by cargo-minify/' $(PAM_SRC_DIR)/sys_$(PAM_VARIANT).rs
	rm $(PAM_SRC_DIR)/sys_$(PAM_VARIANT).rs.bak

clean:
	rm $(PAM_SRC_DIR)/sys.rs

=== debian/changelog ===
rust-sudo-rs (0.2.8-1ubuntu5) questing; urgency=medium

  * set setuid bit after dh_fixperms (LP: #2125731)
  * fix missing set_perms in postinst

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 02 Oct 2025 12:08:08 +0200

rust-sudo-rs (0.2.8-1ubuntu4) questing; urgency=medium

  * Pick post 0.2.8 bug fixes from upstream:
    - d/p/post_028/allow_equals_incommands.patch (LP: #2123859)
    - d/p/post_028/fix_race_between_parent_and_monitor_in_use_pty.patch (LP: #2121743)
    - d/p/post_028/forbid_comma_in_envvar.patch
  * fix man sudoers alternatives target (LP: #2125483)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 24 Sep 2025 11:26:29 +0200

rust-sudo-rs (0.2.8-1ubuntu3) questing; urgency=medium

  * Pick post 0.2.8 patches from git:
    - d/p/post_028/fix_version_number_in_sudoer.patch
    - d/p/post_028/remove_documentation_for_the_ignored_flags.patch
    - d/p/post_028/some_corrections_to_canonicalization_test.patch
    - d/p/post_028/remove_unhandled_exception.patch
    - d/p/post_028/process_format_flags_for_sudo_prompt.patch
    - d/p/post_028/put_sudo_parent_process_in_background_if_stdout_is_a_pipe.patch (LP: #2121830)
  * set suid bit for su (LP: #2121399)

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 03 Sep 2025 10:35:30 +0200

rust-sudo-rs (0.2.8-1ubuntu2) questing; urgency=medium

  * skip test test_traverse_secure_open_positive (LP: #2120989)
  * add alternatives for sudoers man

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Tue, 19 Aug 2025 22:11:38 +0200

rust-sudo-rs (0.2.8-1ubuntu1) questing; urgency=medium

  * Package sudo-rs 0.2.8 from crates.io using debcargo 2.7.8 (LP: #2119669)
    - Update copyright information
  * Add depends on sudo (>= 1.9.16p2-1ubuntu2~)
  * Enable features pam-login, apparmor, sudoedit
  * Add sudoedit to alternatives
  * Recommend libapparmor1
  * Vendor dependencies for 0.2.8
  * Drop all patches
  * skip test test_build_run_context

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 11 Aug 2025 11:25:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends-Arch: cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
-XS-Vendored-Sources-Rust: diff@0.1.13, glob@0.3.2, libc@0.2.171, log@0.4.27, pretty_assertions@1.4.1, yansi@1.0.1
+XS-Vendored-Sources-Rust: diff@0.1.13, glob@0.3.2, libc@0.2.174, log@0.4.27, pretty_assertions@1.4.1, yansi@1.0.1
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
@@ -27,10 +27,11 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${cargo:Depends}
-Breaks: sudo (<< 1.9.16p2-1ubuntu2~), sudo-ldap (<< 1.9.16p2-1ubuntu2~)
+ ${cargo:Depends},
+ sudo (>= 1.9.16p2-1ubuntu2~)
 Recommends:
- ${cargo:Recommends}
+ ${cargo:Recommends},
+ libapparmor1
 Suggests:
  ${cargo:Suggests}
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	tar --sort=name --mtime=@0 --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime -caf ../$(VENDOR_TARBALL) $(CARGO_VENDOR_DIR)
 
 override_dh_auto_test:
-	CARGO_HOME=$(CURDIR)/debian/cargo_home cargo test
+	CARGO_HOME=$(CURDIR)/debian/cargo_home cargo test --features=pam-login,apparmor,sudoedit -- --skip test_build_run_context --skip test_traverse_secure_open_positive
 
 ifeq ($(DEB_HOST_ARCH),i386)
 override_dh_installman:
@@ -42,14 +42,18 @@
 override_dh_installman:
 	pandoc -s -t man docs/man/su.1.md -o su-rs.1
 	pandoc -s -t man docs/man/sudo.8.md  -o sudo-rs.8
+	pandoc -s -t man docs/man/sudoers.5.md -o sudoers-rs.5
 	pandoc -s -t man docs/man/visudo.8.md -o visudo-rs.8
 	dh_installman
 endif
 
 override_dh_auto_install:
 	# /usr/bin/{su,sudo,visudo} are already used, install into /usr/lib/cargo/bin
-	DEB_CARGO_INSTALL_PREFIX=/usr/lib/cargo dh_auto_install
+	DEB_CARGO_INSTALL_PREFIX=/usr/lib/cargo dh_auto_install -O--buildsystem=cargo -- --features=pam-login,apparmor,sudoedit
+
+execute_after_dh_fixperms:
 	chmod 4755 debian/sudo-rs/usr/lib/cargo/bin/sudo
+	chmod 4755 debian/sudo-rs/usr/lib/cargo/bin/su
 
 override_dh_dwz:
 	# Don't do anything. fails because of the

=== debian/tests/control ===
Test-Command: debian/tests/run-cargo-tests.sh
Features: test-name=rust-sudo-rs:@
Depends: @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sudo-rs-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sudo-rs .*/crates/sudo-rs/@ANY_VERSION@/download

## rust-sudo-rs 0.2.9

=== debian/changelog ===
rust-sudo-rs (0.2.9-1) unstable; urgency=medium

  * Team upload.
  * drop unneeded dev-related features
  * enable pam-login feature
  * enable sudoedit feature
  * make `su` binary setuid in postinst (Closes: #1108015)
  * Package sudo-rs 0.2.9 from crates.io using debcargo 2.7.11
    - Bump Standards-Version to 4.7.2
    - Update d/watch to uscan v5
    - Drop default RRR³ "no" value
    - Drop M-A "allowed"

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 31 Oct 2025 21:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,34 +4,64 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
  libpam-dev,
- pandoc [!i386]
+ pandoc
 Build-Depends-Arch: cargo:native,
  rustc:native (>= 1.70),
  libstd-rust-dev,
-XS-Vendored-Sources-Rust: diff@0.1.13, glob@0.3.2, libc@0.2.174, log@0.4.27, pretty_assertions@1.4.1, yansi@1.0.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+ librust-glob-0.3+default-dev,
+ librust-libc-0.2+default-dev (>= 0.2.152-~~),
+ librust-log-0.4+default-dev (>= 0.4.11-~~),
+ librust-log-0.4+std-dev (>= 0.4.11-~~)
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sudo-rs]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sudo-rs
 Homepage: https://github.com/trifectatechfoundation/sudo-rs
 X-Cargo-Crate: sudo-rs
-Rules-Requires-Root: no
+
+Package: librust-sudo-rs-dev
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ librust-glob-0.3+default-dev,
+ librust-libc-0.2+default-dev (>= 0.2.152-~~),
+ librust-log-0.4+default-dev (>= 0.4.11-~~),
+ librust-log-0.4+std-dev (>= 0.4.11-~~)
+Provides:
+ librust-sudo-rs+apparmor-dev (= ${binary:Version}),
+ librust-sudo-rs+default-dev (= ${binary:Version}),
+ librust-sudo-rs+pam-login-dev (= ${binary:Version}),
+ librust-sudo-rs+sudoedit-dev (= ${binary:Version}),
+ librust-sudo-rs-0-dev (= ${binary:Version}),
+ librust-sudo-rs-0+apparmor-dev (= ${binary:Version}),
+ librust-sudo-rs-0+default-dev (= ${binary:Version}),
+ librust-sudo-rs-0+pam-login-dev (= ${binary:Version}),
+ librust-sudo-rs-0+sudoedit-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2+apparmor-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2+default-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2+pam-login-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2+sudoedit-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.9-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.9+apparmor-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.9+default-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.9+pam-login-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.9+sudoedit-dev (= ${binary:Version})
+Description: Memory safe implementation of sudo and su - Rust source code
+ Source code for Debianized Rust crate "sudo-rs"
 
 Package: sudo-rs
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- ${cargo:Depends},
- sudo (>= 1.9.16p2-1ubuntu2~)
+ ${cargo:Depends}
 Recommends:
- ${cargo:Recommends},
- libapparmor1
+ ${cargo:Recommends}
 Suggests:
  ${cargo:Suggests}
 Provides:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

override_dh_auto_install:
	# /usr/bin/{su,sudo,visudo} are already used, install into /usr/lib/cargo/bin
	DEB_CARGO_INSTALL_PREFIX=/usr/lib/cargo dh_auto_install -- --features pam-login
	pandoc -s -t man docs/man/su.1.md -o su-rs.1
	pandoc -s -t man docs/man/sudo.8.md  -o sudo-rs.8
	pandoc -s -t man docs/man/visudo.8.md -o visudo-rs.8
	pandoc -s -t man docs/man/sudoers.5.md -o sudoers-rs.5
	chmod 4755 debian/sudo-rs/usr/lib/cargo/bin/sudo

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

override_dh_auto_clean:
	rm -f *.1 *.8
	dh_auto_clean

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.9 --all-targets --all-features
Features: test-name=rust-sudo-rs:@
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.9 --all-targets --no-default-features --features apparmor
Features: test-name=librust-sudo-rs-dev:apparmor
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.9 --all-targets
Features: test-name=librust-sudo-rs-dev:default
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.9 --all-targets --no-default-features --features pam-login
Features: test-name=librust-sudo-rs-dev:pam-login
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.9 --all-targets --no-default-features --features sudoedit
Features: test-name=librust-sudo-rs-dev:sudoedit
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.9 --all-targets --no-default-features
Features: test-name=librust-sudo-rs-dev:
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sudo-rs
Matching-Pattern:  .*/crates/sudo-rs/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/sudo-rs-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/

## rust-sudo-rs 0.2.10

=== debian/changelog ===
rust-sudo-rs (0.2.10-1) unstable; urgency=high

  * Team upload.
  * Package sudo-rs 0.2.10 from crates.io using debcargo 2.7.11
    - Ensure (partially) input passwords are not printed if killed during
      password prompt (Fixes: GHSA-q428-6v73-fc4q)
    - Ensure `Defaults targetpw` and `Defaults rootpw` are taken into account
      for timestamp files (Fixes: GHSA-c978-wq47-pvvw)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 10 Nov 2025 14:16:02 +0100

=== debian/control ===
--- 
+++ 
@@ -45,11 +45,11 @@
  librust-sudo-rs-0.2+default-dev (= ${binary:Version}),
  librust-sudo-rs-0.2+pam-login-dev (= ${binary:Version}),
  librust-sudo-rs-0.2+sudoedit-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.9-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.9+apparmor-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.9+default-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.9+pam-login-dev (= ${binary:Version}),
- librust-sudo-rs-0.2.9+sudoedit-dev (= ${binary:Version})
+ librust-sudo-rs-0.2.10-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.10+apparmor-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.10+default-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.10+pam-login-dev (= ${binary:Version}),
+ librust-sudo-rs-0.2.10+sudoedit-dev (= ${binary:Version})
 Description: Memory safe implementation of sudo and su - Rust source code
  Source code for Debianized Rust crate "sudo-rs"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.10 --all-targets --all-features
Features: test-name=rust-sudo-rs:@
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.10 --all-targets --no-default-features --features apparmor
Features: test-name=librust-sudo-rs-dev:apparmor
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.10 --all-targets
Features: test-name=librust-sudo-rs-dev:default
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.10 --all-targets --no-default-features --features pam-login
Features: test-name=librust-sudo-rs-dev:pam-login
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.10 --all-targets --no-default-features --features sudoedit
Features: test-name=librust-sudo-rs-dev:sudoedit
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sudo-rs 0.2.10 --all-targets --no-default-features
Features: test-name=librust-sudo-rs-dev:
Depends: dh-cargo (>= 31), libpam-dev, procps, rustc (>= 1.70), librust-pretty-assertions-1+default-dev (>= 1.2.1-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-sudo-rs 0.2.12

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 PAM_SRC_DIR = src/pam
 
-BINDGEN_CMD = bindgen --allowlist-function '^pam_.*$$' --allowlist-var '^PAM_.*$$' --opaque-type pam_handle_t --blocklist-function pam_vsyslog --blocklist-function pam_vprompt --blocklist-function pam_vinfo --blocklist-function pam_verror --blocklist-type '.*va_list.*' --ctypes-prefix libc --no-layout-tests --sort-semantically
+BINDGEN_CMD = bindgen --allowlist-function '^pam_.*$$' --allowlist-var '^PAM_.*$$' --opaque-type pam_handle_t --blocklist-function pam_vsyslog --blocklist-function pam_vprompt --blocklist-function pam_vinfo --blocklist-function pam_verror --blocklist-type '.*va_list.*' --ctypes-prefix std::ffi --no-layout-tests --sort-semantically
 
-PAM_VARIANT = $$(./get-pam-variant.bash)
+PAM_VARIANT = $$(./util/get-pam-variant.bash)
 
 .PHONY: all clean pam-sys pam-sys-diff

=== debian/changelog ===
rust-sudo-rs (0.2.12-0ubuntu1) resolute; urgency=medium

  * New upstream version (LP: #2141927)
  * Fixes:
    - Cockpit cannot escalate privileges with sudo-rs [--askpass unsupported]
      (LP: #2122048)
    - wrong /dev/pts owner for login shell (and $HOME) (LP: #2131153)
    - The visudo command fails to read files passed via stdin (LP: #2136942)
    - renable test `test_build_run_context` (LP: #2120544)
  * New patches:
    - enable-pwfeedback-by-default.patch: Cherry-pick enable pwfeedback by
      default, thanks Tim Hutt.
    - correct-backspace-for-multibyte-characters.patch: Cherry-pick correct
      backspace for multibyte characters, thanks Marc Schoolderman.
  * Changes:
    - d/control: Add python3:any as dependency for apport package hook.
    - d/sudo-rs.manpages: Sort entry order alphabetically.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 16 Feb 2026 14:24:39 +0100

rust-sudo-rs (0.2.10-1ubuntu2) resolute; urgency=medium

  * Replace dependency sudo with sudo-common (LP: #2113927)
  * Add Apport package hook (LP: #2129168)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Fri, 17 Oct 2025 17:15:13 +0200

rust-sudo-rs (0.2.10-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130702). Remaining changes:
    - Add Breaks for sudo and sudo-ldap
    - Add depends on sudo (>= 1.9.16p2-3ubuntu2~)
    - Add Recommends libapparmor1
    - Add sudo alternatives
    - Add vendored dependencies for 0.2.10
    - Enable feature apparmor
    - Move test command to script in debian/tests
    - Remove librust-sudo-rs-dev
    - Remove irrelevant patches
      + d/p/disable-test-timeout.diff: Debian specific since 0.2.5.
      + d/p/drop-unused-features.patch: Features used in Ubuntu.
    - Set setuid bit after dh_fixperms
    - Skip pandoc on i386
    - Skip test_build_run_context test_traverse_secure_open_positive
    - Update copyright information
  * Dropped delta:
    - d/p/post_028/: Containing patches fixed in 0.2.10

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 11 Nov 2025 17:46:16 +0100

rust-sudo-rs (0.2.8-1ubuntu5.1) questing; urgency=medium

  * SRU: fix escaped equals in sudoers file (LP: #2127080)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 13 Oct 2025 10:34:08 +0200

=== debian/control ===
Source: rust-sudo-rs
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-cargo,
               libpam-dev,
               pandoc [!i386]
Build-Depends-Arch: cargo:native, libstd-rust-dev, rustc:native (>= 1.70)
XS-Vendored-Sources-Rust: glob@0.3.3, libc@0.2.180
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sudo-rs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sudo-rs
Homepage: https://github.com/trifectatechfoundation/sudo-rs
X-Cargo-Crate: sudo-rs

Package: sudo-rs
Architecture: any
Section: utils
Depends: python3:any,
         sudo-common,
         ${cargo:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libapparmor1, ${cargo:Recommends}
Suggests: ${cargo:Suggests}
Provides: ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Rust-based sudo and su implementations
 sudo-rs is a safety-oriented program designed to provide sudo and su
 functionalities with a focus on memory safety. The primary aim is to offer
 a secure and reliable alternative to traditional sudo, ensuring fewer
 vulnerabilities related to memory management.
 .
 While it aims to be a drop-in replacement for most common sudo use cases,
 there are differences in functionality and design. Users should be aware
 of these differences and consult the project's documentation for specifics.
